package org.telosys.samples.screen.author;

import org.objectweb.telosys.common.TelosysException;
import org.objectweb.telosys.rpl.ScreenRequest;
import org.objectweb.telosys.rpl.ScreenResponse;
import org.objectweb.telosys.screen.core.ScreenContext;
import org.objectweb.telosys.screen.core.StandardScreenProcedures;

public class AuthorProc extends StandardScreenProcedures
{
    public boolean execute(String sProcName, ScreenContext screenContext, 
    		ScreenRequest screenRequest, ScreenResponse screenResponse ) throws TelosysException
    {
        System.out.println("SCREEN PROCEDURE : '" + sProcName + "'");
        if ( "action1".equals(sProcName) )
        {
        	return action1( screenContext, screenRequest, screenResponse );
        }
        throw new TelosysException( "'" + sProcName + "' : unknown procedure" ) ;
    }
    
    private boolean action1(ScreenContext screenContext, 
    		ScreenRequest screenRequest, ScreenResponse screenResponse ) throws TelosysException
    {
        System.out.println("method 'action1' ..." );
        
        String p1Value = screenRequest.getParameter("p1") ;
        String p2Value = screenRequest.getParameter("p2") ;
        
        if ( p1Value != null )
        {
        	screenContext.setAttribute("p1", p1Value);
        }
        if ( p2Value != null )
        {
        	screenContext.setAttribute("p2", p2Value);
        }
        return true ;
    }
}
